%define upstream_name	 Test-WWW-Mechanize
%define upstream_version 1.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Testing-specific WWW::Mechanize subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert::More)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Server::Simple) >= 0.420.0
BuildRequires: perl(HTTP::Server::Simple::CGI)
BuildRequires: perl(LWP) >= 6.20.0
BuildRequires: perl(Test::Builder::Tester) >= 1.90.0
BuildRequires: perl(Test::LongString) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(URI::file)
BuildRequires: perl(WWW::Mechanize) >= 1.680.0
BuildArch:  noarch

%description
Test::WWW::Mechanize is a subclass of WWW::Mechanize that incorporates features
for web application testing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# change listening port
perl -pi -e 's/13432/17987/' t/TestServer.pm

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/Test
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.440.0-11pclos2017
- rebuild against updates

